Bug 1595386 - RGW spinning at 100% CPU with no op traffic
Summary: RGW spinning at 100% CPU with no op traffic
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.5
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: z1
: 2.5
Assignee: Matt Benjamin (redhat)
QA Contact: Tejas
Aron Gunn
URL:
Whiteboard:
Depends On: 1560101
Blocks: 1536401
TreeView+ depends on / blocked
 
Reported: 2018-06-26 19:32 UTC by tserlin
Modified: 2018-07-26 18:07 UTC (History)
15 users (show)

Fixed In Version: RHEL: ceph-10.2.10-24.el7cp Ubuntu: ceph_10.2.10-21redhat1
Doc Type: Bug Fix
Doc Text:
.The Ceph Object Gateway retry logic can cause high-CPU utilization A bug in the Ceph Object Gateway retry logic can cause a non-terminating condition in operations processing, which can lead to high-CPU utilization and less noticeable side effects. This high CPU utilization triggered a "busy-loop" in various workloads. In this update, the error-handling logic has been fixed to handle this condition.
Clone Of: 1560101
Environment:
Last Closed: 2018-07-26 18:06:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2261 None None None 2018-07-26 18:07:00 UTC
Ceph Project Bug Tracker 17996 None None None 2018-06-26 19:32:16 UTC
Red Hat Bugzilla 1522881 None CLOSED RGW Memory Leak 2018-07-27 17:44:25 UTC

Comment 11 errata-xmlrpc 2018-07-26 18:06:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2261


Note You need to log in before you can comment on or make changes to this bug.